package com.sinosig.util.domain;

import java.io.Serializable;
import org.springframework.util.DigestUtils;

public class PSDataEntity implements Serializable {
    /**
	 * default serialVersionUID
	 */
	private static final long serialVersionUID = 1L;

    /**
	 * 业务实体工作流标识
	 */
	String psdataentityid;

	/**
	 * 业务实体工作流名称
	 */
	String psdataentityname;

	/*
	 * 逻辑名
	 */
	String logicname;

	/**
     * 部署系统标识
     */
    String pssystemid;

    /**
     * 部署域标识
     */
    String workflowid;

	public String getPsdataentityid() {
		if (this.psdataentityid == null) {
            return this.psdataentityid;
        }
        String srtTmp = this.psdataentityid;
        if (this.pssystemid != null) {
            srtTmp = this.pssystemid + srtTmp;
        }
        if (this.workflowid != null) {
            srtTmp = this.workflowid + srtTmp;
        }
        return DigestUtils.md5DigestAsHex(srtTmp.getBytes());
	}

	public void setPsdataentityid(String psdataentityid) {
	    this.psdataentityid = psdataentityid;
	}

	public String getPsdataentityname() {
		return psdataentityname;
	}

	public void setPsdataentityname(String psdataentityname) {
		this.psdataentityname = psdataentityname;
	}

    public String getPssystemid() {
        if (this.pssystemid == null) {
            return this.pssystemid;
        }
        String srtTmp = this.pssystemid;
        if (this.workflowid != null) {
            srtTmp = this.workflowid + srtTmp;
        }
        return DigestUtils.md5DigestAsHex(srtTmp.getBytes());
    }

    public void setPssystemid(String pssystemid) {
        this.pssystemid = pssystemid;
    }

    public String getWorkflowid() {
        if (this.workflowid != null) {
            return DigestUtils.md5DigestAsHex(this.workflowid.getBytes());
        }
        return this.workflowid;
    }

    public void setWorkflowid(String workflowid) {
        this.workflowid = workflowid;
    }

    public String getLogicname() {
		return logicname;
	}

	public void setLogicname(String logicname) {
		this.logicname = logicname;
	}
}
